<?php defined('ALTUMCODE') || die() ?>

<div>
    <div class="form-group">
        <label for="branding"><?= l('admin_settings.status_pages.branding') ?></label>
        <textarea id="branding" name="branding" class="form-control form-control-lg"><?= settings()->status_pages->branding ?></textarea>
        <small class="form-text text-muted"><?= l('admin_settings.status_pages.branding_help') ?></small>
    </div>

    <div class="form-group">
        <label for="domains_is_enabled"><?= l('admin_settings.status_pages.domains_is_enabled') ?></label>
        <select id="domains_is_enabled" name="domains_is_enabled" class="form-control form-control-lg">
            <option value="1" <?= settings()->status_pages->domains_is_enabled ? 'selected="selected"' : null ?>><?= l('global.yes') ?></option>
            <option value="0" <?= !settings()->status_pages->domains_is_enabled ? 'selected="selected"' : null ?>><?= l('global.no') ?></option>
        </select>
        <small class="form-text text-muted"><?= l('admin_settings.status_pages.domains_is_enabled_help') ?></small>
    </div>

    <div class="form-group">
        <label for="additional_domains_is_enabled"><?= l('admin_settings.status_pages.additional_domains_is_enabled') ?></label>
        <select id="additional_domains_is_enabled" name="additional_domains_is_enabled" class="form-control form-control-lg">
            <option value="1" <?= settings()->status_pages->additional_domains_is_enabled ? 'selected="selected"' : null ?>><?= l('global.yes') ?></option>
            <option value="0" <?= !settings()->status_pages->additional_domains_is_enabled ? 'selected="selected"' : null ?>><?= l('global.no') ?></option>
        </select>
        <small class="form-text text-muted"><?= l('admin_settings.status_pages.additional_domains_is_enabled_help') ?></small>
    </div>

    <div class="form-group">
        <label for="main_domain_is_enabled"><?= l('admin_settings.status_pages.main_domain_is_enabled') ?></label>
        <select id="main_domain_is_enabled" name="main_domain_is_enabled" class="form-control form-control-lg">
            <option value="1" <?= settings()->status_pages->main_domain_is_enabled ? 'selected="selected"' : null ?>><?= l('global.yes') ?></option>
            <option value="0" <?= !settings()->status_pages->main_domain_is_enabled ? 'selected="selected"' : null ?>><?= l('global.no') ?></option>
        </select>
        <small class="form-text text-muted"><?= l('admin_settings.status_pages.main_domain_is_enabled_help') ?></small>
    </div>

    <div class="form-group">
        <label for="blacklisted_domains"><?= l('admin_settings.status_pages.blacklisted_domains') ?></label>
        <textarea id="blacklisted_domains" class="form-control form-control-lg" name="blacklisted_domains"><?= settings()->status_pages->blacklisted_domains ?></textarea>
        <small class="form-text text-muted"><?= l('admin_settings.status_pages.blacklisted_domains_help') ?></small>
    </div>

    <div class="form-group">
        <label for="blacklisted_keywords"><?= l('admin_settings.status_pages.blacklisted_keywords') ?></label>
        <textarea id="blacklisted_keywords" class="form-control form-control-lg" name="blacklisted_keywords"><?= settings()->status_pages->blacklisted_keywords ?></textarea>
        <small class="form-text text-muted"><?= l('admin_settings.status_pages.blacklisted_keywords_help') ?></small>
    </div>

    <div class="form-group">
        <label for="logo_size_limit"><?= l('admin_settings.status_pages.logo_size_limit') ?></label>
        <input id="logo_size_limit" type="number" min="0" max="<?= get_max_upload() ?>" step="any" name="logo_size_limit" class="form-control form-control-lg" value="<?= settings()->status_pages->logo_size_limit ?>" />
        <small class="form-text text-muted"><?= l('admin_settings.status_pages.size_limit_help') ?></small>
    </div>

    <div class="form-group">
        <label for="favicon_size_limit"><?= l('admin_settings.status_pages.favicon_size_limit') ?></label>
        <input id="favicon_size_limit" type="number" min="0" max="<?= get_max_upload() ?>" step="any" name="favicon_size_limit" class="form-control form-control-lg" value="<?= settings()->status_pages->favicon_size_limit ?>" />
        <small class="form-text text-muted"><?= l('admin_settings.status_pages.size_limit_help') ?></small>
    </div>
</div>

<button type="submit" name="submit" class="btn btn-lg btn-block btn-primary mt-4"><?= l('global.update') ?></button>
