<?php defined('ALTUMCODE') || die() ?>

<div class="container">
    <?= \Altum\Alerts::output_alerts() ?>

    <nav aria-label="breadcrumb">
        <ol class="custom-breadcrumbs small">
            <li><a href="<?= url('tools') ?>"><?= l('tools.breadcrumb') ?></a> <i class="fas fa-fw fa-angle-right"></i></li>
            <li class="active" aria-current="page"><?= l('tools.url_redirect_checker.name') ?></li>
        </ol>
    </nav>

    <div class="row mb-4">
        <div class="col-12 col-xl d-flex align-items-center mb-3 mb-xl-0">
            <h1 class="h4 m-0"><?= l('tools.url_redirect_checker.name') ?></h1>

            <div class="ml-2">
                <span data-toggle="tooltip" title="<?= l('tools.url_redirect_checker.description') ?>">
                    <i class="fas fa-fw fa-info-circle text-muted"></i>
                </span>
            </div>
        </div>
    </div>

    <div class="card">
        <div class="card-body">

            <form action="" method="post" role="form">
                <input type="hidden" name="token" value="<?= \Altum\Csrf::get() ?>" />

                <div class="form-group">
                    <label for="url"><i class="fas fa-fw fa-link fa-sm text-muted mr-1"></i> <?= l('global.url') ?></label>
                    <input type="url" id="url" name="url" class="form-control <?= \Altum\Alerts::has_field_errors('url') ? 'is-invalid' : null ?>" value="<?= $data->values['url'] ?>" required="required" />
                    <?= \Altum\Alerts::output_field_error('url') ?>
                </div>

                <button type="submit" name="submit" class="btn btn-block btn-primary"><?= l('global.submit') ?></button>
            </form>

        </div>
    </div>

    <?php if(isset($data->result)): ?>
        <div class="mt-4">
            <div class="table-responsive table-custom-container custom-scrollbar">
                <table class="table table-custom">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th><?= l('global.url') ?></th>
                            <th><?= l('tools.url_redirect_checker.status_code') ?></th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php foreach($data->result as $key => $location): ?>
                    <tr>
                        <td>
                            <?= nr($key + 1) ?>
                        </td>
                        <td class="font-weight-bold">
                            <?= $location['url'] ?>
                        </td>
                        <td class="text-nowrap <?= in_array($location['status_code'], [301, 302]) ? 'text-warning' : ($location['status_code'] == 200 ? 'text-success' : null); ?>">
                            <?= $location['status_code'] ?>
                        </td>
                    </tr>
                    <?php endforeach ?>
                    </tbody>
                </table>
            </div>
        </div>
    <?php endif ?>

    <?php if(l('tools.' . \Altum\Router::$method . '.extra_content')): ?>
        <div class="mt-5">
            <div class="card">
                <div class="card-body">
                    <?= l('tools.' . \Altum\Router::$method . '.extra_content') ?>
                </div>
            </div>
        </div>
    <?php endif ?>
</div>

